<?php
/**
 * Data table manipulation class
 * @author Christopher Troup <mini@chatetheory.com>
 * @package phpUserTrack
 * @subpackage Libraries
 */

require_once 'libdb.php';

class phpusertrack_data extends phpusertrack_db {
	/**
	 * Site index
	 * @var integer
	 */
	var $_siteId = null;
	
	/**
	 * Profile index
	 * @var integer
	 */
	var $_profileId = null;
	
	/**
	 * Requested path
	 * @var string
	 */
	var $_path = null;
	
	/**
	 * Referring page
	 * @var string
	 */
	var $_referrer = null;
	
	/**
	 * Class constructor. Set class data.
	 * @param integer $site_id Site index
	 * @param integer $profileId Profile index
	 * @param string $path Requested path
	 * @param string $referrer Referring page
	 * @return mixed false if site id is given as null.
	 */
	function phpusertrack_data($site_id = null, $profileId = null, $path = null, $referrer = null) {
		if ($site_id != null) {
			$this->_siteId = $site_id;
			$this->_profileId = $profileId;
			$this->_path = $path;
			$this->_referrer = $referrer;
		} else {
			return false;
		}
	}
	
	/**
	 * Record that the user requested the path.
	 * @global $conf
	 */
	function insertNewPageHit() {
		global $conf;
		if ($this->_profileId != null) {
			$sql = 'insert into ' . $conf['dataTable'] . ' set ip_id=' . $this->_profileId . 
				', path="' . $this->_path . 
				'", site_id="' . $this->_siteId . '", referrer="' . $this->_referrer . '"';
			$this->_insert($sql);		
		}
	}

}
?>
