<?php
/**
 * Database abstraction layer class and functions.
 * @author Christopher Troup <mini@chatetheory.com>
 * @package phpUserTrack
 */
//require 'libsite.php';
//require 'libdata.php';
//require 'libip.php';
require_once 'MDB2.php';
@include_once dirname(__FILE__) . '/../conf/conf.php';

/**
 * Data abstraction layer class.
 * @package phpUserTrack
 * @sublass Libraries
 */
class phpusertrack_db {

	/**
	 * Database container
	 * @var MDB2_Database_Object
	 */
	public $_db;
	private $connected = false;
	
	/**
	 * Class constructor
	 */
	function phpusertrack_db() {

	}

	/**
	 * Initiate a connection to the database
	 */
	function _connect() {
		global $conf;
		if ($this->connected == false) {
			$dsn = $conf['dbDriver'] . '://' . $conf['mysqlUsername'] . ':' .
			$conf['mysqlPassword'] . '@' . $conf['mysqlHost'] . ':' .
			$conf['mysqlPort'] . '/' . $conf['mysqlDbName'];
			$this->_db = & MDB2 :: connect($dsn);
			if (PEAR :: isError($this->_db)) {
				$this->connected = false;
				//return false;
				throw new Exception($this->_db->toString());
			}
			$this->connected = true;
		}
		return true;
	}

	/**
	 * Preform a database query
	 * @param string $sql The SQL statement to preform
	 * @return array Query results
	 */
	function _query($sql) {
		if (!$this->_connect()) {
			return $this->_db;
		}
		if (PEAR :: isError($result = $this->_db->queryAll($sql, null, MDB2_FETCHMODE_ASSOC))) {
			throw new Exception($result->getMessage());
		}
		return $result;
	}

	/**
	 * Insert data into the database
	 * @param string $sql SQL statement to preform
	 * @return array Result
	 */
	function _insert($sql) {
		global $conf;
		if (!$this->connected) {
		  $this->_connect();
		}
		if (PEAR :: isError($result = $result = $this->_db->query($sql))) {
			throw new Exception($result->getMessage());
		}
		return $this->_db->lastInsertID();
	}

}
?>
