<?php
/**
 * This is an example of what a plugin could look like. Required functions are _type() and invoke()
 */
/**
 * ipFilter plugin class. Filter out IP addresses that admin doesent want recorded.
 * @author Christopher Troup <mini@chatetheory.com>
 * @package phpUserTrack
 * @subpackage Plugins
 */
class ipFilter extends plugins {
	/**
	 * Array of IP addresses to ignore
	 * @var array
	 */
	var $ignoreIPs = array( '127.0.0.1', '24.42.118.228' );
	
	function ipFilter() {
	}

	/**
	 * Invoke plugins, filter IP addresses
	 * @param phpusertrack_ip $ip Profile object
	 * @return phpusertrack_ip Altered Profile object
	 */
	function invoke($ip) {
		if (in_array($ip->getIp(), $this->ignoreIPs)) {
   			$ip = null;
		}
		return $ip;
	}

	/**
	 * The type of plugin
	 * @return string
	 */
	function _type() {
		return 'ip.pre';
	}

}
	
?>