-- MySQL dump 10.10
--
-- Host: mysql.chatetheory.com    Database: phpusertrack
-- ------------------------------------------------------
-- Server version	5.0.18-standard-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `phpusertrack_data`
--

DROP TABLE IF EXISTS `phpusertrack_data`;
CREATE TABLE `phpusertrack_data` (
  `id` int(11) NOT NULL auto_increment COMMENT 'id',
  `ip_id` int(11) NOT NULL COMMENT 'ip address id',
  `timestamp` timestamp NOT NULL default CURRENT_TIMESTAMP COMMENT 'timestamp',
  `site_id` int(11) NOT NULL COMMENT 'index of site visited',
  `path` varchar(255) NOT NULL COMMENT 'path requested',
  `referrer` varchar(255) default NULL COMMENT 'page referrer',
  PRIMARY KEY  (`id`),
  KEY `ip` (`ip_id`),
  KEY `site_id` (`site_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Data for phpUserTrack';

--
-- Table structure for table `phpusertrack_errorlog`
--

DROP TABLE IF EXISTS `phpusertrack_errorlog`;
CREATE TABLE `phpusertrack_errorlog` (
  `id` int(11) NOT NULL auto_increment,
  `error` longtext NOT NULL,
  `timestamp` timestamp NOT NULL default CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `phpusertrack_ip`
--

DROP TABLE IF EXISTS `phpusertrack_ip`;
CREATE TABLE `phpusertrack_ip` (
  `id` int(11) NOT NULL auto_increment COMMENT 'id',
  `session_id` varchar(32) NOT NULL COMMENT 'session_id',
  `ip` varchar(15) NOT NULL COMMENT 'ip address',
  `browser` varchar(32) NOT NULL COMMENT 'browser name',
  `browser_version` varchar(8) NOT NULL COMMENT 'browser version',
  `platform` varchar(32) NOT NULL COMMENT 'platform',
  `timestamp` timestamp NOT NULL default CURRENT_TIMESTAMP COMMENT 'timestamp',
  PRIMARY KEY  (`id`),
  KEY `ip` (`ip`),
  KEY `session_id` (`session_id`),
  KEY `browser` (`browser`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='IP Address Lookup table';

--
-- Table structure for table `phpusertrack_sites`
--

DROP TABLE IF EXISTS `phpusertrack_sites`;
CREATE TABLE `phpusertrack_sites` (
  `id` int(11) NOT NULL auto_increment COMMENT 'id',
  `url` varchar(64) NOT NULL COMMENT 'url of site',
  `name` varchar(255) NOT NULL default '' COMMENT 'common name',
  `desc` mediumtext COMMENT 'description of the site',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='phpUserTrack Site List';
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

