<table cellpadding="0" cellspacing="0">
<tr>
	<td align="right" width="75"><strong>Last Update:&nbsp;</strong></td>
	<td>August 28th 2006</td>
</tr>
<tr>
	<td align="right"><strong>Contact:&nbsp;</strong></td>
	<td>Christopher Troup <a href="mailto:mini@chatetheory.com">mini@chatetheory.com</a></td>
</tr>
</table>

<p>
<a name="contents" href="#contents">Contents</a>
<ol>
	<li><a href="#obtain">Obtaining phpUserTrack</a></li>
	<li><a href="#pre">Prerequisites</a></li>
	<li><a href="#install">Installing</a></li>
	<li><a href="#config">Configuring</a></li>
</ol>
</p>

<h2><a name="obtain">Obtaining phpUserTrack</a></h2>

<p>phpUserTrack can be obtained in two ways:
<ol>
	<li>Download from the webserver: <a href="http://chatetheory.com/trac/index.fcgi/wiki/Download">http://chatetheory.com/trac/index.fcgi/wiki/Download</a></li>
	<li>Checkout from Subversion repository: <code class="ex">svn co http://svn.chatetheory.com/phpusertrack/trunk phpUserTrack</code></li>
</ol>
The absolute most recent versions are availible from Subversion, and they are the recommended version for now. The tarballs are usually only a week or two behind the development code.
</p>

<h2><a name="pre">Prerequisites</a></h2>
<ol>
<li>You need a version of PHP that is 5.0 or greater.</li>

<li>You must have MySQL support configured (ie: <code class="ie">--with-mysql</code> when configuring) 
<p>If you are planning on running the database locally (ie. you want to access the 
database with a command like <code class="ex">mysql -h localhost</code>) then you'll 
also need to have MySQL installed and configured correctly. Please refer to the MySQL website
for instructions.</p></li>

<li>You must have support for GD compiled in PHP. (ie: <code class="ie">--with-gd</code> when configuring)</li>

<li>You must have support for FreeType compiled in PHP. (ie: <code class="ie">--with-freetype</code> when configuring)</li>

<li>phpUserTrack also relies on a couple packages that may not be installed by default.
<blockquote><code>
pear install MDB2<br />
pear install MDB2_Driver_mysqli
</code></blockquote>
</li>
</ol>

<h2><a name="install">Installing</a></h2>

<ol>
<li>
<p>phpUserTrack must be installed in a web accessible directory. Exactly where this directory is will vary
from system to system, but often it is <code class="ex">/usr/local/apache2/htdocs</code></p>

<ol style="list-style-type: lower-alpha;">
<li>If you downloaded a tarball (ie. <code class="ie">phpUserTrack-x.y.z.tar.gz)</code>
<blockquote><code>
cd /usr/local/apache/htdocs <br />
tar -xzvf /path/to/phpUserTrack-x.y.z.tar.gz <br />
mv phpUserTrack-x.y.z phpUserTrack
</code></blockquote>
</li>

<li>Alteratively, if you want to use the latest code:

<blockquote><code>
cd /usr/local/apache/htdocs <br />
svn co http://svn.chatetheory.com/phpusertrack/trunk phpUserTrack
</code></blockquote>

<p>Keeping phpUserTrack up to date is easier this way since updating to the latest version is as simple as entering <code class="ex">svn up</code> at the command line.</p>

</li>
</ol>

</li>

<li>Edit the configuration file:
<blockquote><code>
cd phpUserTrack/config <br />
vi conf.php.dist
</code></blockquote>
<p>Important fields to edit are <acronym title="$conf['mysqlHost']">Hostname</acronym>,
 <acronym title="$conf['mysqlUsername']">Username</acronym>, 
 <acronym title="$conf['mysqlPassword']">Password</acronym>, 
 <acronym title="$conf['mysqlDbName']">Database</acronym> and 
 <acronym title="$conf['mysqlPort']">Port</acronym>.</p>
</li>

<li>Create the database and tables:
<blockquote><code>
cd ../scripts/mysql/ <br />
mysql -h <em>hostname</em> -u <em>username</em> -p -D <em>databaseName</em> &lt; create_database.sql
</code></blockquote>
</li>

<li>Test to see if everything is configured properly: Go to <code class="ex">http://your-server/phpUserTrack/test.php</code></li>

<li>phpUserTrack should be installed correctly! Try it at <code class="ex">http://your-server/phpUserTrack/</code></li>

</ol>